#!/usr/bin/perl

use strict;

my $filename = $ARGV[0];
my %freq = ();
my $count = 0;

# open our file
open(SRCFILE, "<$filename") or die "Couldn't open file: $!\n";

# read each line from the file
while (my $line = <SRCFILE>) {

	# extract each character from the line
    foreach my $character (split //, $line) {
    
    	# check to see if the character is a letter
		$character = lc($character);
		if ($character =~ m/[a-z]/) {
			$freq{$character}++;
			$count++;
		}
    }
}
close(SRCFILE);

# tally our frequency for each letter, printing the results
foreach my $key (sort keys %freq) {
    my $perc = $freq{$key} / $count * 100.0;
    printf "$key: %2.2f\n", $perc;
}
