#!/usr/bin/python

import sys

# open the file
src_file = open(sys.argv[1], "r")

freq = {}
character_count = 0

# create our map of letters to numbers
set = "abcdefghijklmnopqrstuvwxyz"
for c in set:
	freq[c] = 0.0

# read each line in the file
for line in src_file:

	# extract each character from the line
	for c in line:
	
		# check if our character is a letter
		if c.isalpha():
			c = c.lower()
			freq[c] = freq[c] + 1.0
			character_count += 1.0

# calculate our character frequencies and print the results
keys = freq.keys()
keys.sort()
for key in keys:
	perc = (freq[key] / character_count) * 100.0
	print "%s: %0.2f" % (key, perc)