#!/usr/bin/ruby

# setup our hashtable with a default value of zero
freq = Hash.new(0.0)
count = 0.0

# open our file
File.open(ARGV[0], "r") do |file|

	# extract each line
	file.each_line("\n") do |line|
			
		# extract from the line all of our letters
		line.scan /[a-zA-Z]/ do |c|
			count += 1.0
			c.downcase!
			freq[c] += 1.0
		end
	
	end

end

# calculate our letter frequency and print the results
freq.keys.sort.each do |key|
	puts format("%s: %.2f", key, (freq[key] / count * 100.0))
end